%define module_version 0.006
%define module_name Dist-Zilla-Plugin-CheckDeploymentHandlerFiles
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Class/Load.pm) perl(Dist/Zilla.pm) perl(ExtUtils/MakeMaker.pm) perl(File/ShareDir.pm) perl(File/pushd.pm) perl(Moose.pm) perl(namespace/autoclean.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.006
Release: alt1
Summary: Check you've created the DH files for this version
Group: Development/Perl
License: bsd
URL: https://github.com/Altreus/Dist-Zilla-Plugin-CheckDeploymentHandlerFiles

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AL/ALTREUS/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
If you have a schema that uses the DBIx::Class::DeploymentHandler manpage then your
deployment will bail if you don't have a directory for migrating to the current
version. If your schema is part of a wider module it's fairly likely that you'll
forget to create these files because you didn't do any work on the schema.

This plugin simply bails if there's no `x-y' directory where DH would normally
put them.
%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_privlib/D*

%changelog
* Wed Oct 12 2016 Igor Vlasenko <viy@altlinux.ru> 0.006-alt1
- regenerated from template by package builder

* Mon Sep 05 2016 Igor Vlasenko <viy@altlinux.ru> 0.004-alt1
- initial import by package builder

